ASCII reference for A1050500 PM288MT II

& Commands

&B 0	-	Hang up on a poor received signal.
&B 1	-*	Retrain on a poor received signal.  Hang up if condition 
		persists longer than the threshold set by S7.
&B 2	-	Do not hang up, do not retrain (tolerate any line).

&C 0	-	Force data carrier detect (DCD) signal ON at all times.
&C 1	-*	Cause DCD to track actual state of modem's carrier.

&D 0	-*	Ignore data terminal ready (DTR) signal from computer.
&D 1	-	Return to command mode on DTR transition.
&D 2	-	Track status of DTR.  DTR must be present to maintain 
		connection.
&D 3	-	Hang up, reset modem to init state on DTR transition.

&F	-	Restore factory default settings.

&G 0	-*	Disable gaurd tones - US.

&K 0	-	Disable local flow control.
&K 3	-*	Enable RTS/CTS hardware local flow control.
&K 4	-	Enable XON/XOFF software flow control.

&L 0	-*	Select dial-up line operation.

&P 0	-*	Pulse dial make/break 39%/61% for U.S.

&Q 0	-	Asynchronous non-EC mode.  No data buffering (ASB disabled).
&Q 5	-*	Select V.42 error-control operation (requires flow control).	
&Q 6	-	Asynchronous mode with ASB (requires flow control).
&Q 8	-	Select alternate error-control protocol (MNP 2-4, 5).
&Q 9	-	Select V.42bis/MNP 2-4 error control (No MNP 5).

&S 0 	-*	DSR circuit is always ON.

&V	-	View configuration files.

&W 0  	-	Store active profile in stored profile 0.
&W 1  	-	Store active profile in stored profile 1.

&Y 0	-*	Select stored profile 0 on power-up.	
&Y 1	-	Select stored profile 1 on power-up.

&Zn	-	Store telephone number in profiles (1-4), up to 36 characters.

Basic Commands

A	-	Answer Command

		This command instructs the modem to go off-hook and attempt to 
		establish a connection without wating for a ring.	

Bn	-	Line Modulation options.

B 0	-	Selects CCITT V.22 modem when the modem is at 1200 bits/s, and CCITT
		V.21 when the modem is at 300 bits/s.
B 1	-*	Selects Bell 212A when the modem is at 1200 bits/s, and Bell 103 when 
		the modem is at 300 bits/s.
B 2	-	Selects V.23 originate mode receive 1200 bits/s, transmit 75 bits/s, 
		answer mode receive 75 bits/s, transmit 1200 bits/s.
B 3	-	Selects V.23 originate mode receive 75 bits/s, transmit 1200 bits/s, 
		answer mode receive 1200 bits/s, transmit 75 bits/s.

Dn	-	Dial Command

P	-	Pulse dial.  Only digits 0-9 can be dialed in pulse mode.
R	-	Reverse dial mode.  Originate calls in answer mode.
S=n	-	Dial stored number.  Dials the number stored in location (0-3).
T	-	Tone DTMF dial.  Any digit 0-9, *, #, A, B, C, D, may be dialed as tone.
W	-	Wait for dial tone.  The modem waits for dial tone before processing the
		dial string.
,	-	Pause.  Causes the modem to pause the length of the S8 register before 
		processing the next character in dial string.
!	-	Flash hook.  This causes the modem to go on-hook for .5 seconds then 
		return off-hook.
@	-	Wait for quiet answer.  Wait for 5 seconds of silence after dialing the 
		number.
;	-	Return to idle state.  Modem returns to command mode after dialing a 
		number without disconnecting the call.

En	-	AT Command Echo Options

E 0	-	Echo disabled.
E 1	-*	Echo enabled.

Hn	-	Switchhook Control

H 0	-	Modem goes on-hook.
H 1	-	Modem goes off-hook, but will not train.

In	-	Modem Identification Command

I 0	-	Reports product code.					
I 1	-	Returns a 3-digit ROM checksum.			
I 2	-	Performs a ROM check.					
I 3	-	Report ROM components.				
I 4	-	Modem capabilities.

Ln	-	Speaker Volume

L 0,1	-	Lowest speaker volume.
L 2	-*	Medium speaker volume.
L 3	-	High speaker volume.

Mn	-	Speaker Control

M 0	-	Speaker always off.
M 1	-*	Speaker on until carrier detect.
M 2	-	Speaker always on.
M 3	-	Speaker off during dialing and on until carrier.

Nn	-	Select Negotiate Handshake

N 0	-	When originating or answering, handshake only at the rate specified 
		by the S37 register and Bn and no fallback.
N 1	-*	When originating or answering, start handshake only at the rate 
		specified by the S37 register and Bn, and fallback to a lower speed 
		may occur.

On	-	On-Line Command

O 0	-	Returns modem to previously established state.
O 1	-	Begins equalizer retrain sequence, then returns to on-line state.

P	-	Enable Pulse Dialing

		Instructs the modem to use pulse dialing.

Qn	-	Result Code Display Option

Q 0	-*	Result codes enabled.
Q 1	-	Result codes disabled.

Sn	-	Selects an S Register

		This command selects a specific S register.

T	-	Enable Tone Dialing

		This command instructs the modem to send DTMF tones while dialing.

Vn	-	Result Code Form

V 0	-	Result codes in Numeric form (0 for OK).
V 1	-*	Result codes in Verbose form (OK for OK).

Wn	-	Select Extended Result Codes

W 0	-*	CONNECT result code reports DTE speed.
W 1	-	CONNECT result code reports DTE speed; enables CARRIER, COMPRESSION, 
		and PROTOCOL extended result codes.
W 2	-	CONNECT result code reports DCE speed.

Xn	-	Call Progress Options

X 0	-	Busy and dial tone detection are disabled.  Display CONNECT message 
		for all speeds.
X 1	-	Busy and dial tone detection are disabled.  Display CONNECT result 
		codes.
X 2	-	Busy detection disabled, dial tone is enabled.  Display CONNECT 
		result codes.
X 3	-	Busy detection enabled, dial tone is disabled.  Display CONNECT 
		result codes.
X 4	-*	Busy detection and dial tone are enabled.  Display CONNECT result codes.

Zn	-	Recall Stored Profile

Z 0	-	Reset and recall user profile 0.
Z 1	-	Reset and recall user profile 1.

Other Commands

+++		Escape code sequence; go from on-line mode to command mode.  
		No terminating carriage return is needed.

A/		Repeat last command.  This is NOT followed by a carriage return.

%C 		Disable MNP-5 data compression.

"H		Disable V.42bis data compression.



S Registers

Register	Range	Default	Units	

S 0		0-255		0		Rings

	AutoAnswer Ring Count
		Sets the number of the rings before the modem automatically answers a 
		call. Setting this register to zero disables autoanswer mode.

S 1		0-255		0		Rings

	Ring Count
		Accumulates the number of rings sensed on the telephone line.  Resets 
		to zero if ring not sensed within 8-second period.  When S0 contains 
		a non-zero value and the count in S1 equals the value in S0, the modem 
		goes off-hook to answer the call.

S 2		0-127		43		ASCII

	Escape Character
		Holds the value of the ASCII character recognized as the modem escape 
		code.  The default is 43 - the "+" character.  When modem is on-line 
		and receives the escape sequence, it switches to command mode.
S 3		0-127		13		ASCII

	Carriage Return <CR> Character
		Holds the value of the ASCII character recognized as the command line 
		terminator. The default is 13 - the ASCII value for the carriage return.
		This parameter is not saved with the AT&W command.

S 4		0-127		10		ASCII

	Line Feed <LF> Character
		Holds the value of the ASCII character recognized as a line feed.  
		The line feed control character is output after the carriage return 
		control character if verbose result codes are used.  This parameter is 
		not saved with the AT&W command.

S 5		0-32		8		ASCII

	BackSpace <BS> Character
		Holds the value of the ASCII character recognized as a backspace.  
		When the echo is enabled, the modem echoes back to the local DTE, the 
		backspace character, an ASCII space character, and a second backspace 
		character; this means a total of three characters are transmitted each 
		time the modem processes the backspace character.

S 6		2-255		2		Seconds

	Wait Time Before Dialing
		Specifies the amount of time the modem waits after going off-hook 
		before dialing the first dial string.  This wait time only applies
		to the first dial tone.  S6 is used only if X0, X1, or X3 is selected.
		The W (wait for dial tone) modifier overrides the S6 register and dials
		the first digit as soon as a dial tone is detected.

S 7		1-255		60		Seconds

	Wait Time for Carrier
		Specifies the time the modem must wait before hanging up because 
		carrier is not detected.  If the modem does not detect carrier in this 
		amount of time, it will hang up and return a NO CARRIER result code.

S 8		0-255		2		Seconds

	Pause Time for Comma Dial Modifier
		Specifies the number of seconds to pause for each comma encountered in 
		the dial string.

S 9		1-255		6		0.1 Seconds		(.6 seconds)

	Carrier Detect Response Time
		Specifies the time that a received carrier must be present for the modem 
		to recognize it and assert the Data Carrier Detect (DCD) signal.  The 
		ability to set this value helps prevent the modem from erroneously 
		detecting a BUSY or RING signal as a carrier.  As this time is 
		increased, there is less chance to detect a false carrier due to noise 
		from the telephone line.

S 10		1-255		14		0.1 Seconds		(1.4 seconds)

	Lost Carrier to Hang-up Delay
		Sets the time that the modem waits before hanging up after a carrier 
		loss. This delay permits the carrier to disappear momentarily without 
		causing the modem to hang up.  Setting S10 to 255 disables the hang-up 
		function and causes the modem to ignore actual carrier status and assume
		a carrier always present..  S10 should always be higher than the S9 
		register or the modem will hang up in response to even a momentary loss 
		of the carrier signal.

S 11		50-255	95		0.001 Seconds 	(95 milliseconds)

	DTMF Dialing Speed
		Specifies the duration of the tones in Dual Tone Multi-Frequency (DTMF) 
		dialing.  Values below 70 milliseconds can be too fast for some 
		telephone switching equipment to process reliably.  The value has no 
		effect on pulse dialing.

S 12		0-255		50		.02 Seconds 	(1 second)

	Escape Sequence Guard Time
		Specifies the delay time required - before and after the entry of the 
		escape sequence - for the modem to recognize the escape sequence as 
		valid.  The guard time also dictates how quickly the escape characters 
		must be entered, since the interval between each entry of the three 
		characters must be of shorter duration than that specified for the 
		guard time.

S 25		0-255		5		0.01 Seconds	(.05 seconds)

	DTR Delay Time
		Specifies the amount of time the modem will delay responding to DTR as 
		specified by &D.  When the modem is on-line, DTR changes for a period 
		less than the value contained here are ignored.

S 36		1-7		7		Bitmap
	
	Protocol Negotiation Fallback
		Specifies subsequent action for the modem to take when the initial 
		error-control negotiation fails.  Note: S48=128 must be set for S36 
		to function properly.

		S 36=1	Modem attempts a standard asynchronous connection (&Q0 selected)
		S 36=3	Modem attempts an asynchronous connection using automatic speed 
			buffering.
		S 36=4	Attempt a CCITT V.42 alternative protocol connection 
			(MNP compatible). If negotiation fails, hang up.
		S 36=5	Attempt a CCITT V.42 alternative protocol connection 
			(MNP compatible).  If negotiation fails, attempt a standard 
			asynchronous connection.
		S 36=7	Attempt a CCITT V.42 alternative protocol connection 
			(MNP compatible). If the negotiation fails, attempt a 
			asynchronous connection using automatic speed buffering.

S 37		0-17		0		Bitmap
	
	Maximum DCE Speed
		Selects the speed at which the modem attempts a connection with the 
		remote modem.  This is the data transmission speed across the telephone
		line from modem to modem.  If the remote modem does not support the 
		speed specified here, your modem will attempt to connect at the next 
		lower speed.  This continues until a connection is made,  
		the options are exhausted, or the remote modem times out.

		S 37=0	Modem hangs up.
		S 37=3	Attempt a 300 bits/s connection.
		S 37=5	Attempt a 1200 bits/s connection.
		S 37=6	Attempt a 2400 bits/s connection.
		S 37=7	Attempt a 4800 bits/s connection.
		S 37=8	Attempt a 7200 bits/s connection.
		S 37=9	Attempt a 9600 bits/s connection.
		S 37=10	Attempt a 12,000 bits/s connection.
		S 37=11	Attempt a 14,400 bits/s connection.
		S 37=12	Attempt a 16,800 bits/s connection.
		S 37=13	Attempt a 19,200 bits/s connection.
		S 37=14	Attempt a 21,600 bits/s connection.
		S 37=15	Attempt a 24,000 bits/s connection.
		S 37=16	Attempt a 26,400 bits/s connection.
		S 37=17	Attempt a 28,800 bits/s connection.

S 48		7,148		7		Bitmap
	
	V.42 Feature Negotiation Action
		Determines the capabilities of the remote modem and selects the specific
		features and nature of subsequent actions when negotiating connection.  
		If the capabilities of the remote modem are known, S48 can be used to 
		either tailor the negotiation to suit or bypass the negotiation phase 
		completely.

	
		S 48=7	Enable negotiation.
		S 48=128	Disable negotiation and fallback to S36 action.

S 95		0,1,60		0		Bitmap

	Negotiation Message Options
		This register enables message options for reporting the events when 
		establishing an error-control connection.  This register does not alter 
		the way the connection is made, it just enables extended messages.

		S 95=0	Use DTE speed when reporting CONNECT result code.
		S 95=1	Use DCE speed when reporting CONNECT result code.
		S 95=60	Report CARRIER, PROTOCOL, COMPRESSION, and CONNECT extended 
			result codes.